Page MenuHomePhabricator

Use localiezd data format when showing TimeValues on the client
Closed, ResolvedPublic

Description

TimeValues should be localized for display (in wikitext and HTML).

For round-trip compatibility, we should not apply localization for plain text formatting, until T95532: [Story] allow localized input of time values is resolved. This could also be controleld by a formatter option.

Details

Related Gerrit Patches:

Event Timeline

daniel created this task.Feb 23 2016, 11:33 AM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 23 2016, 11:33 AM
hoo claimed this task.Mar 21 2016, 9:07 PM

Change 279163 had a related patch set uploaded (by Hoo man):
Localize dates with precision <= PRECISION_YEAR in MwTimeIsoFormatter

https://gerrit.wikimedia.org/r/279163

Change 279163 merged by jenkins-bot:
Localize dates with precision <= PRECISION_YEAR in MwTimeIsoFormatter

https://gerrit.wikimedia.org/r/279163

hoo closed this task as Resolved.Apr 7 2016, 6:28 PM
hoo removed a project: Patch-For-Review.